GNU bug report logs - #37873
26.3; Can't open file in Finder in Mac OS Catalina

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Yuliang WANG <yuliang@HIDDEN>; merged with #37796, #37866; dated Tue, 22 Oct 2019 18:06:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 37796 37866 37873. Request was from Alan Third <alan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Oct 2019 18:05:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 22 14:05:02 2019
Received: from localhost ([127.0.0.1]:60441 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iMyWi-0001jf-H1
	for submit <at> debbugs.gnu.org; Tue, 22 Oct 2019 14:05:02 -0400
Received: from lists.gnu.org ([209.51.188.17]:47578)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yuliang@HIDDEN>) id 1iMy6n-000170-PH
 for submit <at> debbugs.gnu.org; Tue, 22 Oct 2019 13:38:15 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50940)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <yuliang@HIDDEN>) id 1iMy6k-0000bs-Jw
 for bug-gnu-emacs@HIDDEN; Tue, 22 Oct 2019 13:38:13 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <yuliang@HIDDEN>) id 1iMy6h-00029y-NA
 for bug-gnu-emacs@HIDDEN; Tue, 22 Oct 2019 13:38:09 -0400
Received: from mail-pg1-x52c.google.com ([2607:f8b0:4864:20::52c]:42675)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <yuliang@HIDDEN>) id 1iMy6g-00027K-SA
 for bug-gnu-emacs@HIDDEN; Tue, 22 Oct 2019 13:38:07 -0400
Received: by mail-pg1-x52c.google.com with SMTP id f14so10349945pgi.9
 for <bug-gnu-emacs@HIDDEN>; Tue, 22 Oct 2019 10:38:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hkbu.edu.hk; s=google;
 h=from:mime-version:subject:message-id:date:to
 :content-transfer-encoding;
 bh=svZj291F5OXlUAZ8b0LlMMG/gZ2ZxZssjErAPrQZWOw=;
 b=SuQHZTBArH2+g/FmhXagNgxtVkN1LrvzayIyDOc5GtrigTSiDS/5RGUbL+7leyBHFA
 6WppPdSkujPPFptVeDRAgOP9sFSRbbnc5qSyODIu/EI4spPPCHVgm5b9mPVdXuMRtT0i
 +XRCVuYY9I+P4Rr49UJmr5PFDZC6gf0vqGnXxPNPtrCmzreBTXB0QM60YFH2jrTnhexa
 jspRvJuDn6QXy4fxnksPR0FUGfz28DJ+4JWCNyDctYcL8kLcmsbPyCxb0+ElANOfg2uC
 nCsu1dcIk4Lq3fhgB/y6YEqs0D6y+v7ECkeVpUlOKoQeAFlegfGYZArO8vPX7HPDa/nf
 BkhQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:mime-version:subject:message-id:date:to
 :content-transfer-encoding;
 bh=svZj291F5OXlUAZ8b0LlMMG/gZ2ZxZssjErAPrQZWOw=;
 b=EcQf4kptZXdApz2LdYbQAj4etuB+bZvQw2rEIe3SdagCrB/4uX8WOwFhL336jyRlOn
 kBEbYAnNMrYX+IUWvtHKONiQQL2EpOMlGjTtO941/SqUYuFe9HQXuR3KMAoiQQexcc8x
 hh0fKL7FrBkVdZuleelurEwQA9eOk+FMK8KWXQhj7oONXX7bUU5cJ78QEhl7c++tzlqC
 0tGM08YOdzpCBOL9CNQCLd1p94h77pde3AThMm/HNiILLP+GRqVbWSiFSLxGXYWvvs75
 Eaq/Bzu1Wq7nBjFqpFyUSB3iOv8bNSXVhAqDjOK7Fx3whBYL02eoqoK3L9GPE/nZqVNS
 ANBw==
X-Gm-Message-State: APjAAAU5lywG8wdVc7XLHoano38LYM3iW48hIIK0syfEmNREcI6OsC8k
 +onL8IyvqPo5mmLBiIAtlLoV0Qjv7gOyLPlwhk58YpNZbBTo/HR3Sq9rbpUg4wfTxUC+EpiUg6/
 4PAGtk3o50R3/1g==
X-Google-Smtp-Source: APXvYqw4ifW5M3jjFSVpt7HGGGYWWRTqVkE/tTTB+bK0iQOF+JOmRS2rc381Ot8ioEPaeWC+Dv9RiQ==
X-Received: by 2002:a17:90a:c405:: with SMTP id i5mr6445891pjt.9.1571765879161; 
 Tue, 22 Oct 2019 10:37:59 -0700 (PDT)
Received: from [192.168.1.5] (42-98-109-213.static.netvigator.com.
 [42.98.109.213])
 by smtp.gmail.com with ESMTPSA id q33sm19183322pgm.50.2019.10.22.10.37.57
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 22 Oct 2019 10:37:58 -0700 (PDT)
From: Yuliang WANG <yuliang@HIDDEN>
Mime-Version: 1.0 (Mac OS X Mail 13.0 \(3594.4.19\))
Subject: 26.3; Can't open file in Finder in Mac OS Catalina
Message-Id: <9EFFD741-13D8-4A9C-BDF5-B7CD4A0F7FBD@HIDDEN>
Date: Wed, 23 Oct 2019 01:37:55 +0800
To: bug-gnu-emacs@HIDDEN
X-Mailer: Apple Mail (2.3594.4.19)
Content-Type: text/plain; charset="ISO-8859-1"
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::52c
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 22 Oct 2019 14:04:58 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)



If emacs is not running, I can double click a file in Finder to open
it. If I double click another file after that, it will not open. That
is, emacs can't open more than one file by clicking in Finder. I can still
open more than one file in emacs by using the keybinding C-x C-f. It
seems this happens after the Mac system is updated to Catalina. I have
exactly the same version of emacs and init.el file in another Mac, but
everything is okay there. If I run 'emacs -Q' in the terminal, I get the
following

2019-10-23 01:32:09.553 Emacs-x86_64-10_14[23357:1189576] Failed to initial=
ize color list unarchiver: Error Domain=3DNSCocoaErrorDomain Code=3D4864 "*=
** -[NSKeyedUnarchiver _initForReadingFromData:error:throwLegacyExceptions:=
]: non-keyed archive cannot be decoded by NSKeyedUnarchiver" UserInfo=3D{NS=
DebugDescription=3D*** -[NSKeyedUnarchiver _initForReadingFromData:error:th=
rowLegacyExceptions:]: non-keyed archive cannot be decoded by NSKeyedUnarch=
iver}


In GNU Emacs 26.3 (build 1, x86_64-apple-darwin18.2.0, NS appkit-1671.20 Ve=
rsion 10.14.3 (Build 18D109))
of 2019-09-02 built on builder10-14.porkrind.org
Windowing system distributor 'Apple', version 10.3.1894
Recent messages:
[yas] Prepared just-in-time loading of snippets successfully.
For information about GNU Emacs and the GNU system, type C-h C-a.
Automatic display of crossref information was turned on
Applying style hooks...done
Type C-x 1 to delete the help window.
user-error: No cross-reference here
mwheel-scroll: Beginning of buffer [2 times]
Mark set
Auto-saving...

Configured using:
'configure --with-ns '--enable-locallisppath=3D/Library/Application
Support/Emacs/${version}/site-lisp:/Library/Application
Support/Emacs/site-lisp' --with-modules'

Configured features:
NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES THREADS

Important settings:
  value of $LANG: en_CN.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Help

Minor modes in effect:
  TeX-PDF-mode: t
  TeX-source-correlate-mode: t
  shell-dirtrack-mode: t
  adaptive-wrap-prefix-mode: t
  show-paren-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml mml-sec epa derived epg gnus-util rmail
rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils preview prv-emacs face-remap reftex-dcr
reftex-auc reftex reftex-loaddefs reftex-vars noutline outline tex-buf
font-latex latex easy-mmode latex-flymake flymake-proc flymake warnings
thingatpt tex-ispell tex-style tex crm advice tex-mode compile shell
pcomplete comint ansi-color ring latexenc rainbow-delimiters cl-extra
yasnippet adaptive-wrap elec-pair help-mode edmacro kmacro paren
one-dark-theme one-themes finder-inf info tex-site package easymenu
epg-config url-handlers url-parse auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib time-date tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/ns-win ns-win
ucs-normalize mule-util term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads kqueue cocoa ns multi-tty make-network-process emacs)

Memory information:
((conses 16 416545 15399)
(symbols 48 33399 1)
(miscs 40 90 499)
(strings 32 95828 3093)
(string-bytes 1 2443196)
(vectors 16 49194)
(vector-slots 8 929216 19244)
(floats 8 99 38)
(intervals 56 673 25)
(buffers 992 13))

--=20
Disclaimer

This
 message (including any attachments) may contain=20
confidential=20
information intended for a specific individual and/or=20
purpose. If you=20
are not the intended recipient, please delete this message=20
and notify=20
the sender and the University immediately. Any disclosure,=20
copying, or=20
distribution of this message, or the taking of any action=20
based on it,=20
is prohibited as it may be unlawful.

In
 addition, the=20
University specifically denies any responsibility for the
 accuracy or=20
quality of information obtained through University E-mail=20
Facilities. Any=20
views and opinions expressed in the email(s) are those=20
of the author(s),=20
and do not necessarily represent the views and=20
opinions of the University.=20
The University accepts no liability=20
whatsoever for any losses or damages=20
that may be incurred or caused to=20
any party as a result of the use of such=20
information.




Acknowledgement sent to Yuliang WANG <yuliang@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37873; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 24 Oct 2019 16:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.